extern int CODE_ENTRY_GET_LEVEL_CODE;
extern int GVAR_TITLE_PHASE;
extern int TVAR_AFRAME;
extern int TVAR_ALAST_FRAME;
extern int TVAR_AFIRST_FRAME;
extern int TVAR_ANIMATED;
extern int TVAR_POS_TY;
extern int TVAR_POS_TX;
extern int TVAR_POS_Y;
extern int TVAR_POS_X;
extern int TVAR_SPR_ITEM;
extern int TVAR_SPR_DIR;
extern int TVAR_SPR_NUM;
extern int TVAR_SPR_BANK;
extern int TVAR_ITEM_ID;
extern int TVAR_IS_MENU_THREAD;
extern int GVAR_IN_MENU;
extern int GVAR_SOUND_DISABLED;
extern int GVAR_POLYFIX_BASE;
extern int GVAR_MOUSE_CURSOR;
extern int GVAR_MOUSE_HIDDEN;
extern int GVAR_MOUSE_BUTTONS;
extern int GVAR_MOUSE_Y;
extern int GVAR_MOUSE_X;
extern int GVAR_PROF_ITEM;
extern int GVAR_SCR_Y;
extern int GVAR_SCR_X;
extern int GVAR_VIS_HEIGHT;
extern int GVAR_VIS_WIDTH;
extern int GVAR_MAP_HEIGHT;
extern int GVAR_MAP_WIDTH;
extern int GVAR_LEVEL_BACKPIC;
extern int GVAR_LEVEL_CODE_LEN;
extern int GVAR_LEVEL_CODE_OFS;
extern int GVAR_CUR_LEVEL;
extern int GVAR_GAME_STATE;
extern int GVAR_START_LEVEL;
extern int GVAR_MAX_LEVEL;
extern int GVAR_KEY_NLEV_CHEAT;
extern int GVAR_KEY_PLEV_CHEAT;
extern int GVAR_KEY_WALK_CHEAT;
extern int GVAR_KEY_FALL_CHEAT;
extern int GVAR_KEY_MINIMAP;
extern int GVAR_KEY_USE;
extern int GVAR_KEY_TAKE;
extern int GVAR_KEY_DOWN;
extern int GVAR_KEY_UP;
extern int GVAR_KEY_RIGHT;
extern int GVAR_KEY_LEFT;
extern int GVAR_KEY_ESCAPE;
extern int GVAR_KEY_RESTART;
extern int GVAR_KEY_START;
extern int GVAR_KEY_QUIT;
extern int GVAR_GAME_WANT_KEY;
extern int GVAR_GOOBERS;
extern int GVAR_RST_RESULT;
extern int CONST_BANK_IM_PROF;
extern int CONST_BANK_MAP_ITEMS;
extern int CONST_BANK_ITEMS;
extern int CONST_BANK_MAP_TILES;
extern int CONST_BANK_BG_TILES;
extern int CONST_BANK_FG_TILES;
extern int CONST_BANK_PROF;
extern int CONST_GAME_STATE_DEAD;
extern int CONST_GAME_STATE_COMPLETE;
extern int CONST_GAME_STATE_STARTED;
extern int CONST_GAME_STATE_PLAYING;
extern int CONST_FRST_GET_GOOBERS_ONLOAD;
extern int CONST_FRST_GET_GOOBERS_INITER;
extern int CONST_FRST_DEBUG_ABORT;
extern int CONST_FRST_DEBUG_PRINT_NUM;
extern int CONST_FRST_DEBUG_PRINT_STR;
extern int CONST_FRST_SIN;
extern int CONST_FRST_COS;
extern int CONST_FRST_SET_SEED_L;
extern int CONST_FRST_SET_SEED_H;
extern int CONST_FRST_GET_SEED_L;
extern int CONST_FRST_GET_SEED_H;
extern int CONST_FRST_GET_RAND;
extern int CONST_FRST_GET_MAX_THREAD_ID;
extern int CONST_FRST_GET_MAX_THREADS;
extern int CONST_FRST_TEXT_WIDTH;
extern int CONST_FRST_DRAW_TEXT;
extern int CONST_FRST_END_POLY;
extern int CONST_FRST_ADD_POLY_POINT;
extern int CONST_FRST_START_POLY;
extern int CONST_FRST_IS_SOUND_LOADED;
extern int CONST_FRST_UNLOAD_SOUND;
extern int CONST_FRST_LOAD_SOUND;
extern int CONST_FRST_IS_CHANNEL_PLAYING;
extern int CONST_FRST_STOP_CHANNEL;
extern int CONST_FRST_PLAY_SOUND;
extern int CONST_FRST_ADD_SPRITE;
extern int CONST_FRST_ADD_LEVEL_SPRITE;
extern int CONST_FRST_LOAD_SPRITES;
extern int CONST_FRST_SET_ITEM_NAME;
extern int CONST_FRST_SET_LEVEL_CODE;
extern int CONST_FRST_SET_LEVEL_NAME;
extern int CONST_FRST_SET_LEVEL_SIZE;
extern int CONST_FRST_GET_LEVEL_FILE_WORD;
extern int CONST_FRST_GET_LEVEL_FILE_BYTE;
extern int CONST_FRST_GET_LEVEL_INITER;
extern int CONST_FRST_GET_LEVEL_LOADER;
extern int CONST_FRST_GET_LEVEL_DATA_SIZE;
extern int CONST_FRST_OPEN_LEVEL_FILE;
extern int CONST_FRST_MINIMAP;
extern int CONST_FRST_ML_GAME;
extern int CONST_FRST_ML_TITLE;
extern int CODE_ENTRY_GAME_RESTART_LEVEL;
extern int CODE_ENTRY_GAME_INITIALIZE;
extern int CODE_ENTRY_TITLE;
extern int CODE_ENTRY_MAIN_INIT;
